## ros-noetic-laser-scan-splitter 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_scan_splitter)

# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
  roscpp
  nodelet
  sensor_msgs)

# Find catkin and all required ROS components
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES})

# Set include directories
include_directories(include ${catkin_INCLUDE_DIRS})

# Declare info that other packages need to import library generated here
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES laser_scan_splitter
    CATKIN_DEPENDS ${ROS_CXX_DEPENDENCIES}
)

#Create library
add_library(laser_scan_splitter src/laser_scan_splitter.cpp)
target_link_libraries( laser_scan_splitter ${catkin_LIBRARIES})
add_dependencies(laser_scan_splitter ${catkin_EXPORTED_TARGETS})

#Create nodelet
add_library(laser_scan_splitter_nodelet src/laser_scan_splitter_nodelet.cpp)
target_link_libraries(laser_scan_splitter_nodelet laser_scan_splitter)

#Create node
add_executable(laser_scan_splitter_node src/laser_scan_splitter_node.cpp)
target_link_libraries( laser_scan_splitter_node laser_scan_splitter )

#Install library
install(TARGETS laser_scan_splitter laser_scan_splitter_nodelet
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

#Install library includes
install(DIRECTORY include/laser_scan_splitter/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION} )

#Install node
install(TARGETS laser_scan_splitter_node
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

#Install nodelet description
install(FILES laser_scan_splitter_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

#Install demo directory
install(DIRECTORY demo
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

=== debian/changelog ===
ros-noetic-laser-scan-splitter (0.4.0-1focal) focal; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sun, 19 Feb 2023 06:00:00 -0000

ros-noetic-laser-scan-splitter (0.3.3-1focal) focal; urgency=high

  * update to use non deprecated pluginlib macro

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Mon, 15 Feb 2021 06:00:00 -0000

ros-noetic-laser-scan-splitter (0.3.2-1focal) focal; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-noetic-laser-scan-splitter (0.3.1-1focal) focal; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 06:00:00 -0000

ros-noetic-laser-scan-splitter (0.3.0-1focal) focal; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 06:00:00 -0000

ros-noetic-laser-scan-splitter (0.2.1-1focal) focal; urgency=high

  * [sys] Catkinization: laser_scan_splitter
  * Contributors: Ivan Dryanovski, Miguel Sarabia

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-laser-scan-splitter
Section: misc
Priority: optional
Maintainer: Ivan Dryanovski <ccnyroboticslab@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://wiki.ros.org/laser_scan_splitter
Standards-Version: 3.9.2

Package: ros-noetic-laser-scan-splitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: The laser_scan_splitter takes in a LaserScan message and splits it into a number of other LaserScan messages.
 Each of the resulting laser scans can be assigned an arbitrary coordinate frame, and is published on a separate topic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-laser-scan-splitter//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
